> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiql.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Source Workspaces



## OpenAPI

````yaml https://api.aiql.io/openapi.json get /sources/{id}/workspaces
openapi: 3.1.0
info:
  title: aiql-api
  version: 0.1.0
servers:
  - url: https://api.aiql.io
security: []
tags:
  - name: Health
    description: Service health checks.
  - name: Workspaces
    description: Workspace management.
  - name: Ingestions
    description: Document ingestion pipeline.
  - name: Queries
    description: Natural-language queries.
  - name: Sources
    description: Ingested sources and their contents.
  - name: Requests
    description: Source addition/removal requests awaiting review.
  - name: Request Changes
    description: Individual source add/remove changes on a request.
  - name: Request Reviews
    description: Reviews of a request, including draft and submit.
  - name: Request Comments
    description: Comments on a request review.
  - name: Canvases
    description: Brainstorm canvases.
  - name: Dashboards
    description: Dashboards.
  - name: Presentations
    description: Slide presentations.
  - name: Patterns
    description: User-defined ontology patterns and matched instances.
  - name: Written Documents
    description: Authored documents.
  - name: Prompts
    description: Reusable prompt templates.
  - name: Apps
    description: Workspace automations.
  - name: Tools
    description: Standalone convert/split/shape/extract tools.
  - name: Realtime
    description: Voice session mint and tool execution.
  - name: Connectors
    description: Connector catalog and connect flows.
  - name: Connections
    description: Workspace connector connections.
  - name: Chat Completions
    description: OpenAI-compatible chat completions over workspace queries.
paths:
  /sources/{id}/workspaces:
    get:
      tags:
        - Sources
      summary: List Source Workspaces
      operationId: list_source_workspaces_sources__id__workspaces_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: AiQL-Workspace
          in: header
          required: true
          schema:
            type: string
            description: ID of the workspace the request operates on.
            title: Aiql-Workspace
          description: ID of the workspace the request operates on.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SourceWorkspace'
                title: Response List Source Workspaces Sources  Id  Workspaces Get
        '401':
          description: 'Authentication failed: missing or invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl https://api.aiql.io/sources/ing_9d2c/workspaces \
              -H "Authorization: Bearer $AIQL_API_KEY" \
              -H "AiQL-Workspace: $AIQL_WORKSPACE_ID"
        - lang: python
          label: Python SDK
          source: >-
            import os

            from aiql import AiQL


            client = AiQL(api_key=os.environ["AIQL_API_KEY"])


            workspaces = client.sources.workspaces("ing_9d2c",
            workspace_id="ws_3a1b")
        - lang: typescript
          label: TypeScript SDK
          source: >-
            import { AiQL } from "@aiql.io/sdk";


            const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });


            const workspaces = await client.sources.workspaces("ing_9d2c", {
            workspaceId: "ws_3a1b" });
components:
  schemas:
    SourceWorkspace:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the workspace.
        name:
          type: string
          title: Name
          description: Name of the workspace.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the workspace.
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the workspace was created.
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the workspace was last updated.
      type: object
      required:
        - id
        - name
      title: SourceWorkspace
    ErrorResponse:
      type: object
      title: ErrorResponse
      properties:
        detail:
          type: string
          title: Detail
      required:
        - detail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: API key or UI session JWT passed as a Bearer token.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.